package com.sunxung.factoring.entity.weekWorkPlan.vo;

import java.util.Date;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.sunxung.factoring.entity.BaseSearch;
import com.sunxung.factoring.entity.sys.Org;
import com.sunxung.factoring.entity.sys.User;

/**
 * @Description:周工作计划查询辅助类
 * @author:wuduanli
 * @e-mail:1912942707@qq.com
 * @date:2018年1月2日 下午3:47:12
 */
public class SearchWeekWorkPlan extends BaseSearch {

    /** 用户ID **/
    private Long userId;
    /** 任务状态 **/
    private Long workStateId;
    /** 周的开始日期 **/
    @JSONField(format = "yyyy-MM-dd")
    private Date startTime;
    /** 周的结束日期 **/
    @JSONField(format = "yyyy-MM-dd")
    private Date endTime;
    /** 月历中年月筛选 **/
    private String yearMonth;
    /** 周历展示的标识 **/
    private String week;
    /** 周例会中部门 **/
    private Org department;
    /** 周例会中多选部门（页面传值） **/
    private List<Org> departmentList;
    /** 当前登录用户所在部门并且身份是普通时，则将此部门保存在此集合中,即普通身份集合 **/
    private List<Org> normalOrgList;
    /** 当前登录用户所在的所有部门 **/
    private List<Org> orgList;
    /** 当前登录用户所在部门及子部门下能看见的用户集合（包含页面选择的多个用户），用于周例会中周工作计划的统计与查看 **/
    private List<User> userList;
    /** 是否有查看所有人员权限 **/
    private Boolean sellAll;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getWorkStateId() {
        return workStateId;
    }

    public void setWorkStateId(Long workStateId) {
        this.workStateId = workStateId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    public String getWeek() {
        return week;
    }

    public void setWeek(String week) {
        this.week = week;
    }

    public Org getDepartment() {
        return department;
    }

    public void setDepartment(Org department) {
        this.department = department;
    }

    public List<Org> getNormalOrgList() {
        return normalOrgList;
    }

    public void setNormalOrgList(List<Org> normalOrgList) {
        this.normalOrgList = normalOrgList;
    }

    public List<Org> getOrgList() {
        return orgList;
    }

    public void setOrgList(List<Org> orgList) {
        this.orgList = orgList;
    }

    public List<User> getUserList() {
        return userList;
    }

    public void setUserList(List<User> userList) {
        this.userList = userList;
    }

    public Boolean getSellAll() {
        return sellAll;
    }

    public void setSellAll(Boolean sellAll) {
        this.sellAll = sellAll;
    }

    public List<Org> getDepartmentList() {
        return departmentList;
    }

    public void setDepartmentList(List<Org> departmentList) {
        this.departmentList = departmentList;
    }
}
